﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace utlraComboEditorSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
       }

        private void Form1_Load(object sender, EventArgs e)
        {
            TestObject TObj = new TestObject();

            bindingSource1.DataSource = TObj;

            this.ultraComboEditor1.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.Suggest;
            this.ultraComboEditor1.AutoSuggestFilterMode = Infragistics.Win.AutoSuggestFilterMode.Contains;
            this.ultraComboEditor1.LimitToList = true;

            List<Testing1> list = new List<Testing1>();
            list.Add(new Testing1("asdf", 1));
            list.Add(new Testing1("jkl;", 2));
            list.Add(new Testing1("qwerty", 3));
            list.Add(new Testing1("1234", 4));

            ultraComboEditor1.DataSource = list;
            ultraComboEditor1.DisplayMember = "Description";
            ultraComboEditor1.ValueMember = "ID";
        }


        private void ultraComboEditor1_ValueChanged(object sender, EventArgs e)
        {
            this.textBox1.Text = this.ultraComboEditor1.Value.ToString();
            this.textBox2.Text = this.ultraComboEditor1.Text.ToString();
        }

    }
    public class Testing1
    {
        public Testing1(string desc, int id)
        {
            Description = desc;
            ID = id;
        }

        public string Description {get; set;}
        public int ID {get; set;}
    }

    public class TestObject
    {
        public int Testing1ID { get; set; }
    }
}
